aboutsummaryrefslogtreecommitdiff
path: root/automated/android/noninteractive-tradefed
diff options
context:
space:
mode:
authorYongqin Liu <yongqin.liu@linaro.org>2020-11-03 21:21:04 +0800
committerYongqin Liu <yongqin.liu@linaro.org>2020-11-03 21:21:04 +0800
commit48f0664c1c301928d46762c7a47ec036dd064116 (patch)
treee5eae3ca0f237e04ba9a5c39cf9004a2173e13d8 /automated/android/noninteractive-tradefed
parent3b31cf92e23000af2880ca9842105083f2d40089 (diff)
noninteractive-tradefed: move adb shell check to tradefed.sh
to avoid syntax error with the docker method like reported here: https://validation.linaro.org/scheduler/job/2205897#L4834 Signed-off-by: Yongqin Liu <yongqin.liu@linaro.org>
Diffstat (limited to 'automated/android/noninteractive-tradefed')
-rwxr-xr-xautomated/android/noninteractive-tradefed/tradefed.sh4
-rw-r--r--automated/android/noninteractive-tradefed/tradefed.yaml2
2 files changed, 4 insertions, 2 deletions
diff --git a/automated/android/noninteractive-tradefed/tradefed.sh b/automated/android/noninteractive-tradefed/tradefed.sh
index 7f9f617d..b3a31e96 100755
--- a/automated/android/noninteractive-tradefed/tradefed.sh
+++ b/automated/android/noninteractive-tradefed/tradefed.sh
@@ -82,3 +82,7 @@ adb_join_wifi "${AP_SSID}" "${AP_KEY}"
# Run tradefed test.
info_msg "About to run tradefed shell on device ${ANDROID_SERIAL}"
./tradefed-runner.py -t "${TEST_PARAMS}" -p "${TEST_PATH}" -r "${RESULT_FORMAT}" -f "${FAILURES_PRINTED}"
+# When adb device lost, end test job to mark it as 'incomplete'.
+if ! adb shell echo ok; then
+ error_fatal "tradefed: adb device lost[$ANDROID_SERIAL]"
+fi
diff --git a/automated/android/noninteractive-tradefed/tradefed.yaml b/automated/android/noninteractive-tradefed/tradefed.yaml
index 2f99c1a6..577b32e4 100644
--- a/automated/android/noninteractive-tradefed/tradefed.yaml
+++ b/automated/android/noninteractive-tradefed/tradefed.yaml
@@ -65,7 +65,5 @@ run:
# Send test result to LAVA.
- ../../utils/send-to-lava.sh ./output/result.txt
- userdel testuser -f -r || true
- # When adb device lost, end test job to mark it as 'incomplete'.
- - if ! adb shell echo ok; then error_fatal "tradefed: adb device lost[$ANDROID_SERIAL]"; fi
- if echo "${TEST_REBOOT_EXPECTED}" |grep -i "true" ; then killall monitor_fastboot.sh; fi
- killall monitor_adb.sh